# 32/64bit spec
#
Summary: A quad-pane detailed-list file manager for linux
Summary(de): Ein vierfenstriger Dateimanager für Linux
Name: 4Pane
Version: 5.0
Release: %mkrel 1
License: GPL
Group: File tools
URL: http://sourceforge.net/projects/fourpane/files/5.0/
Source: 4pane-%{version}.tar.xz
#----------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}lzma-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}wxgtk2.8-devel
BuildRequires: libpthread-stubs
#----------------------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-build

%description
4Pane is a detailed-list file manager which displays directories and files 
in separate panes. Generally two pairs of these twin-panes are displayed at 
a time, resulting in easy dragging/pasting of files. 4Pane aims to be fast 
and fully-featured without bloat.

%description -l de
4Pane ist ein Dateimanager mit Detaillisten, der Verzeichnisse und Dateien in 
separaten Fenstern zeigt. Generell werden zwei Paar dieser Zwillingsfenster zur 
gleichen Zeit angezeigt, was das einfache Ziehen und Einfügen von Dateien 
ermöglicht. 4Pane hat das Ziel schnell und vollausgestattet zu sein, ohne 
aufgeblasen zu sein.

%prep
%setup -q -n 4pane-%{version}

%build
%configure2_5x --disable-symlink --disable-desktop
make %{?_smp_mflags} LDFLAGS="-lgtk-x11-2.0 -lgobject-2.0"


%install
make DESTDIR=%{buildroot} install
%find_lang %{name}

# Create the .desktop on the fly, as it's not quite the same as the tarball one
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
GenericName=File Manager
Comment=A four-pane file manager
Comment[de]=Ein Dateimanager mit 4 Fenstern
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
Version=1.0
StartupNotify=false
Categories=FileManager;X-MandrivaLinux-System-FileTools;
EOF

install -D -m 644 bitmaps/%{name}Icon48.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -D -m 644 bitmaps/%{name}Icon32.xpm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm
install -D -m 644 bitmaps/%{name}Icon16.xpm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.xpm
install -D -m 644 bitmaps/%{name}Icon48.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/4Pane
%{_datadir}/4Pane/
%{_datadir}/appdata/4Pane.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm
%{_datadir}/icons/hicolor/16x16/apps/%{name}.xpm
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png

%doc README INSTALL LICENCE

%post
ln -fs %{_bindir}/4Pane %{_bindir}/4pane


%postun
rm -f %{_bindir}/4pane


%changelog
* Mon Oct 01 2018 adrianomorselli <adrianomorselli> 5.0-1uplos2018
- update
